#! /usr/bin/env python3

from PyQt5.QtWidgets import *

class Window(QWidget):

    def __init__(self):

        super().__init__()

        l = self.leftEdit = QPlainTextEdit()
        r = self.rightEdit = QPlainTextEdit()

        a = self.layout = QHBoxLayout()
        a.addWidget(self.leftEdit)
        a.addWidget(self.rightEdit)
        self.setLayout(a)

        l.textChanged.connect(lambda: r.setPlainText(l.toPlainText()))

        l.verticalScrollBar().valueChanged.connect(r.verticalScrollBar().setValue)
        r.verticalScrollBar().valueChanged.connect(l.verticalScrollBar().setValue)

app = QApplication([])
window = Window()
window.show()
app.exec_()
